Subject: Re: git-gui and gitk-git as submodules

From: Jens Lehmann <[email-masked]>
Date: Mon, 28 Jun 2010 20:58:49 +0200

Am 26.06.2010 20:31, schrieb Jonathan Nieder:
> For the latter, maybe it would make sense to introduce ‘git checkout
> --recursive’ which runs ‘submodule update --init --recursive’ after
> checkout.  IMHO, in git 2.0 this even ought to be made the default.
> One could use --no-recursive to access the more flexible traditional
> behavior.

Yup, I am working on that (I did post a WIP patch some time ago where
I added a '--ignore-submodules' option, but since then I changed my
mind on the name and now too think that '--[no-]recursive' is a much
better choice).